IssuerSerial (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.x509

## Class IssuerSerial

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.IssuerSerial

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class IssuerSerial
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IssuerSerial(GeneralNames issuer, ASN1Integer serial)`
    `IssuerSerial(GeneralNames issuer, java.math.BigInteger serial)`
    `IssuerSerial(X500Name issuer, java.math.BigInteger serial)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IssuerSerial` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static IssuerSerial` | `getInstance(java.lang.Object obj)`
    `GeneralNames` | `getIssuer()`
    `DERBitString` | `getIssuerUID()`
    `ASN1Integer` | `getSerial()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IssuerSerial

          public IssuerSerial(X500Name issuer,
                      java.math.BigInteger serial)

    - #### IssuerSerial

          public IssuerSerial(GeneralNames issuer,
                      java.math.BigInteger serial)

    - #### IssuerSerial

          public IssuerSerial(GeneralNames issuer,
                      ASN1Integer serial)

  - ### Method Detail

    - #### getInstance

          public static IssuerSerial getInstance(java.lang.Object obj)

    - #### getInstance

          public static IssuerSerial getInstance(ASN1TaggedObject obj,
                                 boolean explicit)

    - #### getIssuer

          public GeneralNames getIssuer()

    - #### getSerial

          public ASN1Integer getSerial()

    - #### getIssuerUID

          public DERBitString getIssuerUID()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

            IssuerSerial  ::=  SEQUENCE {
                 issuer         GeneralNames,
                 serial         CertificateSerialNumber,
                 issuerUID      UniqueIdentifier OPTIONAL
            }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.